public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mart Raudsepp" <leio@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/anjuta/
Date: Fri,  3 Aug 2018 10:30:15 +0000 (UTC)	[thread overview]
Message-ID: <1533290796.95360c34a0dbc6f59aa44f8a53e42173e8979c13.leio@gentoo> (raw)

commit:     95360c34a0dbc6f59aa44f8a53e42173e8979c13
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Fri Aug  3 10:06:17 2018 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Fri Aug  3 10:06:36 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95360c34

dev-util/anjuta: bump to 3.28.0; compat with newer vala for USE=vala

Package-Manager: Portage-2.3.43, Repoman-2.3.10

 dev-util/anjuta/Manifest             |   1 +
 dev-util/anjuta/anjuta-3.28.0.ebuild | 136 +++++++++++++++++++++++++++++++++++
 2 files changed, 137 insertions(+)

diff --git a/dev-util/anjuta/Manifest b/dev-util/anjuta/Manifest
index 78e9d040452..e5de14f93d8 100644
--- a/dev-util/anjuta/Manifest
+++ b/dev-util/anjuta/Manifest
@@ -1 +1,2 @@
 DIST anjuta-3.22.0.tar.xz 6363016 BLAKE2B 8b02f3dc0f97d0e195039cfd462bb6db64199c92d689fbf751e8a88141f65a4dc604bbf848342d73e398ba755e89b3d934df375aad50c9cee12c38df8a8c2d9e SHA512 64689392bfe6102698ef8a1ce62aac37bffd793b917ef6ffc53cb5b8aa9eb5b8961a999c32db559e9e348bcf46a7ec0ca9448100910b52885ddff898a62f3295
+DIST anjuta-3.28.0.tar.xz 6382736 BLAKE2B 8872736d80d0a09d35706ef69c0de56c84b9abf025f9552ae4b21b0b51c3ab8ad93f07dd1564601422890e92155cc7be80bae8de77106035621a54316608832b SHA512 c8de0b0debf0a511d6c50fe2582077a33c04290a045cce637c05c15df984cc3e8ee942c0c3a75bfd01c48e6c302d5424565c4e54fe6eb118c87a3590563505ef

diff --git a/dev-util/anjuta/anjuta-3.28.0.ebuild b/dev-util/anjuta/anjuta-3.28.0.ebuild
new file mode 100644
index 00000000000..998c1d39963
--- /dev/null
+++ b/dev-util/anjuta/anjuta-3.28.0.ebuild
@@ -0,0 +1,136 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python2_7 )
+# libanjuta-language-vala.so links to a specific slot of libvala; we want to
+# avoid automagic behavior.
+VALA_MIN_API_VERSION="0.36"
+VALA_MAX_API_VERSION="${VALA_MIN_API_VERSION}"
+
+inherit gnome2 flag-o-matic readme.gentoo-r1 python-single-r1 vala
+
+DESCRIPTION="A versatile IDE for GNOME"
+HOMEPAGE="https://wiki.gnome.org/Apps/Anjuta"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~x86-fbsd"
+
+IUSE="debug devhelp glade +introspection packagekit subversion terminal test vala"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# FIXME: automagically uses libgda:6 if available
+# FIXME: make python dependency non-automagic
+COMMON_DEPEND="
+	>=dev-libs/glib-2.34:2[dbus]
+	x11-libs/gdk-pixbuf:2
+	>=x11-libs/gtk+-3.10:3
+	>=dev-libs/libxml2-2.4.23
+	>=dev-libs/gdl-3.5.5:3=
+	>=x11-libs/gtksourceview-3:3.0
+
+	sys-devel/autogen
+
+	>=gnome-extra/libgda-5:5=
+	dev-util/ctags
+
+	x11-libs/libXext
+	x11-libs/libXrender
+
+	${PYTHON_DEPS}
+
+	devhelp? ( >=dev-util/devhelp-3.7.4:= )
+	glade? ( >=dev-util/glade-3.12:3.10= )
+	introspection? ( >=dev-libs/gobject-introspection-0.9.5:= )
+	subversion? (
+		>=dev-vcs/subversion-1.8:=
+		>=net-libs/serf-1.2:1=
+		>=dev-libs/apr-1:=
+		>=dev-libs/apr-util-1:= )
+	terminal? ( >=x11-libs/vte-0.27.6:2.91 )
+	vala? ( $(vala_depend) )
+"
+RDEPEND="${COMMON_DEPEND}
+	gnome-base/gsettings-desktop-schemas
+	packagekit? ( app-admin/packagekit-base )
+"
+DEPEND="${COMMON_DEPEND}
+	>=dev-lang/perl-5
+	>=dev-util/gtk-doc-am-1.4
+	>=dev-util/intltool-0.40.1
+	sys-devel/bison
+	sys-devel/flex
+	>=sys-devel/gettext-0.17
+	virtual/pkgconfig
+	!!dev-libs/gnome-build
+	test? (
+		app-text/docbook-xml-dtd:4.1.2
+		app-text/docbook-xml-dtd:4.5 )
+	app-text/yelp-tools
+	dev-libs/gobject-introspection-common
+	gnome-base/gnome-common
+"
+# yelp-tools, gi-common and gnome-common are required by eautoreconf
+
+pkg_setup() {
+	python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	if use vala; then
+		DISABLE_AUTOFORMATTING="yes"
+		DOC_CONTENTS="To create a generic vala project you will need to specify
+desired valac versioned binary to be used, to do that you
+will need to:
+1. Go to 'Build' -> 'Configure project'
+2. Add 'VALAC=/usr/bin/valac-X.XX' (respecting quotes) to
+'Configure options'."
+	fi
+
+	# COPYING is used in Anjuta's help/about entry
+	DOCS="AUTHORS ChangeLog COPYING FUTURE MAINTAINERS NEWS README ROADMAP THANKS TODO"
+
+	# Conflicts with -pg in a plugin, bug #266777
+	filter-flags -fomit-frame-pointer
+
+	# Do not build benchmarks, they are not installed and for dev purpose only
+	sed -e '/SUBDIRS =/ s/benchmark//' \
+		-i plugins/symbol-db/Makefile.{am,in} || die
+
+	use vala && vala_src_prepare
+	gnome2_src_prepare
+}
+
+src_configure() {
+	gnome2_src_configure \
+		--disable-neon \
+		--disable-static \
+		$(use_enable debug) \
+		$(use_enable devhelp plugin-devhelp) \
+		$(use_enable glade plugin-glade) \
+		$(use_enable glade glade-catalog) \
+		$(use_enable introspection) \
+		$(use_enable packagekit) \
+		$(use_enable subversion plugin-subversion) \
+		$(use_enable subversion serf) \
+		$(use_enable terminal plugin-terminal) \
+		$(use_enable vala)
+}
+
+src_install() {
+	# COPYING is used in Anjuta's help/about entry
+	docompress -x "/usr/share/doc/${PF}/COPYING"
+
+	# Anjuta uses a custom rule to install DOCS, get rid of it
+	gnome2_src_install
+	rm -rf "${ED}"/usr/share/doc/${PN} || die "rm failed"
+
+	use vala && readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+	gnome2_pkg_postinst
+	use vala && readme.gentoo_print_elog
+}


             reply	other threads:[~2018-08-03 10:30 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-08-03 10:30 Mart Raudsepp [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-13 19:53 [gentoo-commits] repo/gentoo:master commit in: dev-util/anjuta/ Sam James
2022-04-26 21:29 James Le Cuirot
2020-09-19 19:57 Pacho Ramos
2020-07-04 15:07 Mart Raudsepp
2020-06-12 22:16 Mart Raudsepp
2019-04-13  9:47 Mart Raudsepp
2019-04-02  9:13 Mikle Kolyada
2019-04-02  1:37 Thomas Deutschmann
2019-03-30 21:56 Mart Raudsepp
2019-03-22 21:37 Mart Raudsepp
2017-04-02 13:03 Mart Raudsepp
2016-11-02  8:34 Gilles Dartiguelongue
2016-10-08  9:51 Pacho Ramos
2016-03-06 16:43 Mikle Kolyada
2016-02-01 20:45 Pacho Ramos
2016-02-01 20:45 Pacho Ramos
2015-11-14 18:40 Pacho Ramos
2015-11-14 18:40 Pacho Ramos
2015-11-12  8:56 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1533290796.95360c34a0dbc6f59aa44f8a53e42173e8979c13.leio@gentoo \
    --to=leio@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox